---
title: "Set Wallet Account Limit"
source_url: https://docs.rapyd.net/en/set-wallet-account-limit.html
lang: en
---

# Set Wallet Account Limit

Set the maximum balance limit or the minimum balance threshold for an existing wallet account.

> **Note:**
>
> - The request must specify the `account_id` or the `currency`.
> - This endpoint replaces the deprecated endpoint: `POST /v1/user/:wallet/account/limits`
>
>   Rapyd no longer supports the deprecated endpoint.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Wallet Transaction Errors](https://docs.rapyd.net/en/wallet-transaction-errors.md "Wallet Transaction Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Related Information

- [Wallet Balance Types](https://docs.rapyd.net/en/wallet-balance-types.md "Wallet Balance Types")

### Parameters

### Request Path Parameters

- - wallet
  - Rapyd Wallet ID.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Request Body Parameters

- - account_id
  - The ID of the account within the wallet. UUID.
- - amount
  - The amount of the limit.
- - currency
  - Three-letter ISO 4217 code for the currency of an existing account.
- - type
  - The limit type. One of the following values:

    - **min_balance_threshold** - The amount that triggers an email notification to increase the amount in the reserve balance.
    - **max_balance_limit** - The maximum balance that this account can hold.

### Response Parameters

- - alias
  - Alternate description of the currency of the account.
- - balance
  - Amount in the available balance.
- - currency
  - Currency of the account. Three-letter ISO 4217 code.
- - id
  - The ID of the account within the wallet. UUID.
- - limit
  - Reserved.
- - limits
  - List of balance limits for the account.

    - - amount
      - Amount of the limit.
    - - currency
      - Currency of the account.
    - - type
      - Type of limit. One of the following:

        - **max_balance_limit** - The maximum balance that this account can hold.
        - **min_balance_threshold** - The amount that triggers an email notification to increase the amount in the reserve balance.
    - - updated_at
      - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - on_hold_balance
  - Amount in the on-hold balance.
- - received_balance
  - Amount in the received balance.
- - reserve_balance
  - Amount in the reserve balance.

- /v1/ewallets/:ewallet/account/limits

- Set Wallet Account Limit
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_f86e34cfde1aa06dc0468d98b593a7f2/account/limits' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw'{
      "currency": "USD",
      "amount": 12000,
      "type": "max_balance_limit",
      "account_id": "5221e6b8-ed4d-47f6-80c4-3c757f00ce26"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "5aaa50a6-9c81-469b-a49a-dab340cf81e5"
      },
      "data": [
          {
              "id": "5221e6b8-ed4d-47f6-80c4-3c757f00ce26",
              "currency": "USD",
              "alias": "USD",
              "balance": 99999,
              "received_balance": 0,
              "on_hold_balance": 0,
              "reserve_balance": 0,
              "limits": [
                  {
                      "type": "max_balance_limit",
                      "amount": 12000,
                      "currency": "USD",
                      "updated_at": 1763474703
                  }
              ],
              "limit": "12000.00000"
          }
      ]
  }
  ```

- Bad Request - Currency Account Not Found
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_f86e34cfde1aa06dc0468d98b593a7f2/account/limits' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw'{
      "currency": "COP",
      "amount": 12000,
      "type": "max_balance_limit"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_EWALLET_ACCOUNT_ID",
          "status": "ERROR",
          "message": "Please contact Rapyd Client Support.",
          "response_code": "INVALID_EWALLET_ACCOUNT_ID",
          "operation_id": "42335d1f-c2b7-4eb9-aaf8-691069b47829"
      }
  }
  ```

- Bad Request - Currency Does Not Match Currency Account
- ```curl
  curl -X post 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_f86e34cfde1aa06dc0468d98b593a7f2/account/limits' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here' \
  --data-raw'{
      "currency": "COP",
      "amount": 12000,
      "type": "max_balance_limit",
      "account_id": "5221e6b8-ed4d-47f6-80c4-3c757f00ce26"
  }'
  ```
- ```json
  {
      "status": {
          "error_code": "INVALID_ACCOUNT_CURRENCY",
          "status": "ERROR",
          "message": "Please contact Rapyd Client Support.",
          "response_code": "INVALID_ACCOUNT_CURRENCY",
          "operation_id": "5891120f-f4df-4972-9aa7-8591d6a9c89d"
      }
  }
  ```
